MS06-025: Vulnerability in Routing and Remote Access Could Allow Remote Code Execution (911280) (uncredentialed check)

High Nessus Plugin ID 21696


It is possible to execute code on the remote host.


The remote version of Windows contains a version of RRAS (Routing and Remote Access Service) that is affected by several memory corruption vulnerabilities.

An attacker may exploit these flaws to execute code on the remote service.


Microsoft has released a set of patches for Windows 2000, XP and 2003.

See Also

Plugin Details

Severity: High

ID: 21696

File Name: smb_kb911280.nasl

Version: $Revision: 1.32 $

Type: local

Agent: windows

Family: Windows

Published: 2006/06/13

Modified: 2017/08/30

Dependencies: 10785, 10394

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: x-cpe:/a:microsoft:windows:routingsvr, cpe:/o:microsoft:windows

Required KB Items: Host/OS/smb

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2006/07/13

Vulnerability Publication Date: 2006/06/13

Exploitable With


Core Impact

Metasploit (MS06-025 Microsoft RRAS Service Overflow)

Reference Information

CVE: CVE-2006-2370, CVE-2006-2371

BID: 18325, 18358

OSVDB: 26436, 26437

MSFT: MS06-025

MSKB: 911280